Author: Andreas Tille <tille@debian.org>
LastChanged: Wed, 07 Aug 2013 22:17:03 +0200
Description: Let hardening flags sneek in

--- phylip-3.696.orig/src/Makefile.unx
+++ phylip-3.696/src/Makefile.unx
@@ -126,7 +126,7 @@
 #
 # Most of the programs need only the math libraries, specified like this;
 #
-LIBS    = -lm
+LIBS    = -lm $(LDFLAGS)
 #
 # The drawing programs may also need access to the graphics libraries. This is
 # specified with the DLIBS variable.
@@ -367,7 +367,7 @@
 	
 # needed by java	
 libdrawgram.so:   drawgram.o draw.o draw2.o phylip.o
-	$(CC) $(CFLAGS) -o libdrawgram.so -shared -fPIC drawgram.c draw.c draw2.c phylip.c $(CLIBS)
+	$(CC) $(CFLAGS) -o libdrawgram.so -shared -fPIC drawgram.c draw.c draw2.c phylip.c $(CLIBS) $(LDFLAGS)
 
 drawtree.o:     drawtree.c draw.h phylip.h
 	$(CC) $(DFLAGS)  -shared -fPIC -c drawtree.c
@@ -377,7 +377,7 @@
 
 # needed by java	
 libdrawtree.so:     drawtree.o draw.o draw2.o phylip.o
-	$(CC) $(CFLAGS) -o libdrawtree.so  -shared -fPIC drawtree.c draw.c draw2.c phylip.c $(CLIBS)
+	$(CC) $(CFLAGS) -o libdrawtree.so  -shared -fPIC drawtree.c draw.c draw2.c phylip.c $(CLIBS) $(LDFLAGS)
 
 factor.o:       factor.c phylip.h
 
